// <auto-generated>
//     Generated by the protocol buffer compiler.  DO NOT EDIT!
//     source: openadr/EventDescriptorType.proto
// </auto-generated>
#pragma warning disable 1591, 0612, 3021, 8981
#region Designer generated code

using pb = global::Google.Protobuf;
using pbc = global::Google.Protobuf.Collections;
using pbr = global::Google.Protobuf.Reflection;
using scg = global::System.Collections.Generic;
namespace Openadrevent {

  /// <summary>Holder for reflection information generated from openadr/EventDescriptorType.proto</summary>
  public static partial class EventDescriptorTypeReflection {

    #region Descriptor
    /// <summary>File descriptor for openadr/EventDescriptorType.proto</summary>
    public static pbr::FileDescriptor Descriptor {
      get { return descriptor; }
    }
    private static pbr::FileDescriptor descriptor;

    static EventDescriptorTypeReflection() {
      byte[] descriptorData = global::System.Convert.FromBase64String(
          string.Concat(
            "CiFvcGVuYWRyL0V2ZW50RGVzY3JpcHRvclR5cGUucHJvdG8SDG9wZW5hZHJl",
            "dmVudBofZ29vZ2xlL3Byb3RvYnVmL3RpbWVzdGFtcC5wcm90byLCAwoTRXZl",
            "bnREZXNjcmlwdG9yVHlwZRIQCghldmVudF9pZBgBIAEoCRIbChNtb2RpZmlj",
            "YXRpb25fbnVtYmVyGAIgASgDEjoKFm1vZGlmaWNhdGlvbl9kYXRlX3RpbWUY",
            "AyABKAsyGi5nb29nbGUucHJvdG9idWYuVGltZXN0YW1wEhsKE21vZGlmaWNh",
            "dGlvbl9yZWFzb24YBCABKAkSEAoIcHJpb3JpdHkYBSABKAMSFgoObWFya2V0",
            "X2NvbnRleHQYBiABKAkSNQoRY3JlYXRlZF9kYXRlX3RpbWUYByABKAsyGi5n",
            "b29nbGUucHJvdG9idWYuVGltZXN0YW1wEhIKCnRlc3RfZXZlbnQYCCABKAkS",
            "EwoLdnRuX2NvbW1lbnQYCSABKAkSQwoMZXZlbnRfc3RhdHVzGAogASgOMi0u",
            "b3BlbmFkcmV2ZW50LkV2ZW50RGVzY3JpcHRvclR5cGUuRXZlbnRTdGF0dXMi",
            "VAoLRXZlbnRTdGF0dXMSCAoEbm9uZRAAEgcKA2ZhchABEggKBG5lYXIQAhIK",
            "CgZhY3RpdmUQAxINCgljb21wbGV0ZWQQBBINCgljYW5jZWxsZWQQBUJ5Chlj",
            "b20uY29kaWJseS5tb2RlbC5vcGVuYWRyQhhFdmVudERlc2NyaXB0b3JUeXBl",
            "UHJvdG/KAhlEb21haW5Nb2RlbFxQcm90b1xPcGVuYWRy4gIlRG9tYWluTW9k",
            "ZWxcUHJvdG9cT3BlbmFkclxHUEJNZXRhZGF0YWIGcHJvdG8z"));
      descriptor = pbr::FileDescriptor.FromGeneratedCode(descriptorData,
          new pbr::FileDescriptor[] { global::Google.Protobuf.WellKnownTypes.TimestampReflection.Descriptor, },
          new pbr::GeneratedClrTypeInfo(null, null, new pbr::GeneratedClrTypeInfo[] {
            new pbr::GeneratedClrTypeInfo(typeof(global::Openadrevent.EventDescriptorType), global::Openadrevent.EventDescriptorType.Parser, new[]{ "EventId", "ModificationNumber", "ModificationDateTime", "ModificationReason", "Priority", "MarketContext", "CreatedDateTime", "TestEvent", "VtnComment", "EventStatus" }, null, new[]{ typeof(global::Openadrevent.EventDescriptorType.Types.EventStatus) }, null, null)
          }));
    }
    #endregion

  }
  #region Messages
  public sealed partial class EventDescriptorType : pb::IMessage<EventDescriptorType>
  #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      , pb::IBufferMessage
  #endif
  {
    private static readonly pb::MessageParser<EventDescriptorType> _parser = new pb::MessageParser<EventDescriptorType>(() => new EventDescriptorType());
    private pb::UnknownFieldSet _unknownFields;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pb::MessageParser<EventDescriptorType> Parser { get { return _parser; } }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pbr::MessageDescriptor Descriptor {
      get { return global::Openadrevent.EventDescriptorTypeReflection.Descriptor.MessageTypes[0]; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    pbr::MessageDescriptor pb::IMessage.Descriptor {
      get { return Descriptor; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public EventDescriptorType() {
      OnConstruction();
    }

    partial void OnConstruction();

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public EventDescriptorType(EventDescriptorType other) : this() {
      eventId_ = other.eventId_;
      modificationNumber_ = other.modificationNumber_;
      modificationDateTime_ = other.modificationDateTime_ != null ? other.modificationDateTime_.Clone() : null;
      modificationReason_ = other.modificationReason_;
      priority_ = other.priority_;
      marketContext_ = other.marketContext_;
      createdDateTime_ = other.createdDateTime_ != null ? other.createdDateTime_.Clone() : null;
      testEvent_ = other.testEvent_;
      vtnComment_ = other.vtnComment_;
      eventStatus_ = other.eventStatus_;
      _unknownFields = pb::UnknownFieldSet.Clone(other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public EventDescriptorType Clone() {
      return new EventDescriptorType(this);
    }

    /// <summary>Field number for the "event_id" field.</summary>
    public const int EventIdFieldNumber = 1;
    private string eventId_ = "";
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string EventId {
      get { return eventId_; }
      set {
        eventId_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }

    /// <summary>Field number for the "modification_number" field.</summary>
    public const int ModificationNumberFieldNumber = 2;
    private long modificationNumber_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public long ModificationNumber {
      get { return modificationNumber_; }
      set {
        modificationNumber_ = value;
      }
    }

    /// <summary>Field number for the "modification_date_time" field.</summary>
    public const int ModificationDateTimeFieldNumber = 3;
    private global::Google.Protobuf.WellKnownTypes.Timestamp modificationDateTime_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public global::Google.Protobuf.WellKnownTypes.Timestamp ModificationDateTime {
      get { return modificationDateTime_; }
      set {
        modificationDateTime_ = value;
      }
    }

    /// <summary>Field number for the "modification_reason" field.</summary>
    public const int ModificationReasonFieldNumber = 4;
    private string modificationReason_ = "";
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string ModificationReason {
      get { return modificationReason_; }
      set {
        modificationReason_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }

    /// <summary>Field number for the "priority" field.</summary>
    public const int PriorityFieldNumber = 5;
    private long priority_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public long Priority {
      get { return priority_; }
      set {
        priority_ = value;
      }
    }

    /// <summary>Field number for the "market_context" field.</summary>
    public const int MarketContextFieldNumber = 6;
    private string marketContext_ = "";
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string MarketContext {
      get { return marketContext_; }
      set {
        marketContext_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }

    /// <summary>Field number for the "created_date_time" field.</summary>
    public const int CreatedDateTimeFieldNumber = 7;
    private global::Google.Protobuf.WellKnownTypes.Timestamp createdDateTime_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public global::Google.Protobuf.WellKnownTypes.Timestamp CreatedDateTime {
      get { return createdDateTime_; }
      set {
        createdDateTime_ = value;
      }
    }

    /// <summary>Field number for the "test_event" field.</summary>
    public const int TestEventFieldNumber = 8;
    private string testEvent_ = "";
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string TestEvent {
      get { return testEvent_; }
      set {
        testEvent_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }

    /// <summary>Field number for the "vtn_comment" field.</summary>
    public const int VtnCommentFieldNumber = 9;
    private string vtnComment_ = "";
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string VtnComment {
      get { return vtnComment_; }
      set {
        vtnComment_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }

    /// <summary>Field number for the "event_status" field.</summary>
    public const int EventStatusFieldNumber = 10;
    private global::Openadrevent.EventDescriptorType.Types.EventStatus eventStatus_ = global::Openadrevent.EventDescriptorType.Types.EventStatus.None;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public global::Openadrevent.EventDescriptorType.Types.EventStatus EventStatus {
      get { return eventStatus_; }
      set {
        eventStatus_ = value;
      }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override bool Equals(object other) {
      return Equals(other as EventDescriptorType);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool Equals(EventDescriptorType other) {
      if (ReferenceEquals(other, null)) {
        return false;
      }
      if (ReferenceEquals(other, this)) {
        return true;
      }
      if (EventId != other.EventId) return false;
      if (ModificationNumber != other.ModificationNumber) return false;
      if (!object.Equals(ModificationDateTime, other.ModificationDateTime)) return false;
      if (ModificationReason != other.ModificationReason) return false;
      if (Priority != other.Priority) return false;
      if (MarketContext != other.MarketContext) return false;
      if (!object.Equals(CreatedDateTime, other.CreatedDateTime)) return false;
      if (TestEvent != other.TestEvent) return false;
      if (VtnComment != other.VtnComment) return false;
      if (EventStatus != other.EventStatus) return false;
      return Equals(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override int GetHashCode() {
      int hash = 1;
      if (EventId.Length != 0) hash ^= EventId.GetHashCode();
      if (ModificationNumber != 0L) hash ^= ModificationNumber.GetHashCode();
      if (modificationDateTime_ != null) hash ^= ModificationDateTime.GetHashCode();
      if (ModificationReason.Length != 0) hash ^= ModificationReason.GetHashCode();
      if (Priority != 0L) hash ^= Priority.GetHashCode();
      if (MarketContext.Length != 0) hash ^= MarketContext.GetHashCode();
      if (createdDateTime_ != null) hash ^= CreatedDateTime.GetHashCode();
      if (TestEvent.Length != 0) hash ^= TestEvent.GetHashCode();
      if (VtnComment.Length != 0) hash ^= VtnComment.GetHashCode();
      if (EventStatus != global::Openadrevent.EventDescriptorType.Types.EventStatus.None) hash ^= EventStatus.GetHashCode();
      if (_unknownFields != null) {
        hash ^= _unknownFields.GetHashCode();
      }
      return hash;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override string ToString() {
      return pb::JsonFormatter.ToDiagnosticString(this);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void WriteTo(pb::CodedOutputStream output) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      output.WriteRawMessage(this);
    #else
      if (EventId.Length != 0) {
        output.WriteRawTag(10);
        output.WriteString(EventId);
      }
      if (ModificationNumber != 0L) {
        output.WriteRawTag(16);
        output.WriteInt64(ModificationNumber);
      }
      if (modificationDateTime_ != null) {
        output.WriteRawTag(26);
        output.WriteMessage(ModificationDateTime);
      }
      if (ModificationReason.Length != 0) {
        output.WriteRawTag(34);
        output.WriteString(ModificationReason);
      }
      if (Priority != 0L) {
        output.WriteRawTag(40);
        output.WriteInt64(Priority);
      }
      if (MarketContext.Length != 0) {
        output.WriteRawTag(50);
        output.WriteString(MarketContext);
      }
      if (createdDateTime_ != null) {
        output.WriteRawTag(58);
        output.WriteMessage(CreatedDateTime);
      }
      if (TestEvent.Length != 0) {
        output.WriteRawTag(66);
        output.WriteString(TestEvent);
      }
      if (VtnComment.Length != 0) {
        output.WriteRawTag(74);
        output.WriteString(VtnComment);
      }
      if (EventStatus != global::Openadrevent.EventDescriptorType.Types.EventStatus.None) {
        output.WriteRawTag(80);
        output.WriteEnum((int) EventStatus);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(output);
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalWriteTo(ref pb::WriteContext output) {
      if (EventId.Length != 0) {
        output.WriteRawTag(10);
        output.WriteString(EventId);
      }
      if (ModificationNumber != 0L) {
        output.WriteRawTag(16);
        output.WriteInt64(ModificationNumber);
      }
      if (modificationDateTime_ != null) {
        output.WriteRawTag(26);
        output.WriteMessage(ModificationDateTime);
      }
      if (ModificationReason.Length != 0) {
        output.WriteRawTag(34);
        output.WriteString(ModificationReason);
      }
      if (Priority != 0L) {
        output.WriteRawTag(40);
        output.WriteInt64(Priority);
      }
      if (MarketContext.Length != 0) {
        output.WriteRawTag(50);
        output.WriteString(MarketContext);
      }
      if (createdDateTime_ != null) {
        output.WriteRawTag(58);
        output.WriteMessage(CreatedDateTime);
      }
      if (TestEvent.Length != 0) {
        output.WriteRawTag(66);
        output.WriteString(TestEvent);
      }
      if (VtnComment.Length != 0) {
        output.WriteRawTag(74);
        output.WriteString(VtnComment);
      }
      if (EventStatus != global::Openadrevent.EventDescriptorType.Types.EventStatus.None) {
        output.WriteRawTag(80);
        output.WriteEnum((int) EventStatus);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(ref output);
      }
    }
    #endif

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int CalculateSize() {
      int size = 0;
      if (EventId.Length != 0) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(EventId);
      }
      if (ModificationNumber != 0L) {
        size += 1 + pb::CodedOutputStream.ComputeInt64Size(ModificationNumber);
      }
      if (modificationDateTime_ != null) {
        size += 1 + pb::CodedOutputStream.ComputeMessageSize(ModificationDateTime);
      }
      if (ModificationReason.Length != 0) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(ModificationReason);
      }
      if (Priority != 0L) {
        size += 1 + pb::CodedOutputStream.ComputeInt64Size(Priority);
      }
      if (MarketContext.Length != 0) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(MarketContext);
      }
      if (createdDateTime_ != null) {
        size += 1 + pb::CodedOutputStream.ComputeMessageSize(CreatedDateTime);
      }
      if (TestEvent.Length != 0) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(TestEvent);
      }
      if (VtnComment.Length != 0) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(VtnComment);
      }
      if (EventStatus != global::Openadrevent.EventDescriptorType.Types.EventStatus.None) {
        size += 1 + pb::CodedOutputStream.ComputeEnumSize((int) EventStatus);
      }
      if (_unknownFields != null) {
        size += _unknownFields.CalculateSize();
      }
      return size;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(EventDescriptorType other) {
      if (other == null) {
        return;
      }
      if (other.EventId.Length != 0) {
        EventId = other.EventId;
      }
      if (other.ModificationNumber != 0L) {
        ModificationNumber = other.ModificationNumber;
      }
      if (other.modificationDateTime_ != null) {
        if (modificationDateTime_ == null) {
          ModificationDateTime = new global::Google.Protobuf.WellKnownTypes.Timestamp();
        }
        ModificationDateTime.MergeFrom(other.ModificationDateTime);
      }
      if (other.ModificationReason.Length != 0) {
        ModificationReason = other.ModificationReason;
      }
      if (other.Priority != 0L) {
        Priority = other.Priority;
      }
      if (other.MarketContext.Length != 0) {
        MarketContext = other.MarketContext;
      }
      if (other.createdDateTime_ != null) {
        if (createdDateTime_ == null) {
          CreatedDateTime = new global::Google.Protobuf.WellKnownTypes.Timestamp();
        }
        CreatedDateTime.MergeFrom(other.CreatedDateTime);
      }
      if (other.TestEvent.Length != 0) {
        TestEvent = other.TestEvent;
      }
      if (other.VtnComment.Length != 0) {
        VtnComment = other.VtnComment;
      }
      if (other.EventStatus != global::Openadrevent.EventDescriptorType.Types.EventStatus.None) {
        EventStatus = other.EventStatus;
      }
      _unknownFields = pb::UnknownFieldSet.MergeFrom(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(pb::CodedInputStream input) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      input.ReadRawMessage(this);
    #else
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, input);
            break;
          case 10: {
            EventId = input.ReadString();
            break;
          }
          case 16: {
            ModificationNumber = input.ReadInt64();
            break;
          }
          case 26: {
            if (modificationDateTime_ == null) {
              ModificationDateTime = new global::Google.Protobuf.WellKnownTypes.Timestamp();
            }
            input.ReadMessage(ModificationDateTime);
            break;
          }
          case 34: {
            ModificationReason = input.ReadString();
            break;
          }
          case 40: {
            Priority = input.ReadInt64();
            break;
          }
          case 50: {
            MarketContext = input.ReadString();
            break;
          }
          case 58: {
            if (createdDateTime_ == null) {
              CreatedDateTime = new global::Google.Protobuf.WellKnownTypes.Timestamp();
            }
            input.ReadMessage(CreatedDateTime);
            break;
          }
          case 66: {
            TestEvent = input.ReadString();
            break;
          }
          case 74: {
            VtnComment = input.ReadString();
            break;
          }
          case 80: {
            EventStatus = (global::Openadrevent.EventDescriptorType.Types.EventStatus) input.ReadEnum();
            break;
          }
        }
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalMergeFrom(ref pb::ParseContext input) {
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, ref input);
            break;
          case 10: {
            EventId = input.ReadString();
            break;
          }
          case 16: {
            ModificationNumber = input.ReadInt64();
            break;
          }
          case 26: {
            if (modificationDateTime_ == null) {
              ModificationDateTime = new global::Google.Protobuf.WellKnownTypes.Timestamp();
            }
            input.ReadMessage(ModificationDateTime);
            break;
          }
          case 34: {
            ModificationReason = input.ReadString();
            break;
          }
          case 40: {
            Priority = input.ReadInt64();
            break;
          }
          case 50: {
            MarketContext = input.ReadString();
            break;
          }
          case 58: {
            if (createdDateTime_ == null) {
              CreatedDateTime = new global::Google.Protobuf.WellKnownTypes.Timestamp();
            }
            input.ReadMessage(CreatedDateTime);
            break;
          }
          case 66: {
            TestEvent = input.ReadString();
            break;
          }
          case 74: {
            VtnComment = input.ReadString();
            break;
          }
          case 80: {
            EventStatus = (global::Openadrevent.EventDescriptorType.Types.EventStatus) input.ReadEnum();
            break;
          }
        }
      }
    }
    #endif

    #region Nested types
    /// <summary>Container for nested types declared in the EventDescriptorType message type.</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static partial class Types {
      public enum EventStatus {
        [pbr::OriginalName("none")] None = 0,
        [pbr::OriginalName("far")] Far = 1,
        [pbr::OriginalName("near")] Near = 2,
        [pbr::OriginalName("active")] Active = 3,
        [pbr::OriginalName("completed")] Completed = 4,
        [pbr::OriginalName("cancelled")] Cancelled = 5,
      }

    }
    #endregion

  }

  #endregion

}

#endregion Designer generated code
